System Requirements

In order to use our Communications System, you will need:

Supported Web Browsers:

We support Mozilla Firefox v. 24.5.0 or higher, Microsoft Internet Explorer v. 10 or higher, Google Chrome v. 24 or higher, and Apple Safari v. 5.1.10 or higher. Click the icon below to download one of the following browsers if you need to upgrade.

Mozilla Firefox Microsoft Internet Explorer Google Chrome Apple Safari

Additional Instructions for using Internet Explorer with this system:

If you are having difficulty accessing this system with Internet Explorer 10 or greater, please perform the following procedure:
  1. Close all Internet Explorer windows and tabs, then relaunch Internet Explorer
  2. Enter Alt-T on your keyboard, this will trigger the Internet Explorer Tools drop down menu.
  3. Select "Compatibility View settings" from the drop down menu. Enter "gointranet.com" without quotes into the "Add this website" box.
  4. Click "Add". This will put gointranet.com in the Compatibility View list.
  5. Click "Closed".
  6. Close your browser, then restart it. Your system should now function normally.

Plug-in Requirements:

PDF Reader

In order to view certain documents on our Communications System, you will need Adobe PDF Reader, or a similar PDF reader. Adobe Reader installs a "plug-in" into your browser so it will automatically open PDF (Portable Document Format) documents to view and/or print. To test if you already have the a PDF reader in installed on your computer, click on the sample PDF document below.

Click Here to test Test PDF Document

If the above sample PDF document opened, you are ready to access our Communications System. If it did not open, it is likely that you do not have a PDF reader installed on your computer.

You can download a free copy of Acrobat Reader from Adobe's web site. If you already have Adobe Acrobat installed, please verify that you have version 8 or later. Click the "Adobe PDF" button below and follow the instructions on Adobe's web site to download Acrobat Reader to your computer. Then double-click on the installation program icon to install Acrobat Reader. Once you have installed Acrobat Reader, you can return to this System Requirements Site and try to open the above sample PDF document.

Get Adobe Acrobat Reader!

Make sure that you install a modern web browser recommended above before you install Acrobat Reader.

Quicktime Plugin

For the best multimedia experience, you will need to install Apple's Quicktime Plugin for your web browser. This will allow you to view video created with Quicktime, in addition to other formats. To get Quicktime, please follow the link below.

Click here to download quicktime Download Quicktime

If you need additional support, get in touch with your corporate contact.

We'll see you online!